---
document: modulemd-defaults
version: 1
data:
  module: php
  profiles:
    8.1: [common]
    8.2: [common]
...
---
document: modulemd-defaults
version: 1
data:
  module: nginx
  profiles:
    1.22: [common]
    1.24: [common]
...
---
document: modulemd-defaults
version: 1
data:
  module: ruby
  profiles:
    3.1: [common]
    3.3: [common]
...
---
document: modulemd-defaults
version: 1
data:
  module: nodejs
  profiles:
    18: [common]
    20: [common]
...
---
document: modulemd-defaults
version: 1
data:
  module: redis
  profiles:
    7: [common]
...
---
document: modulemd-defaults
version: 1
data:
  module: mariadb
  profiles:
    10.11: [server]
...
---
document: modulemd-defaults
version: 1
data:
  module: postgresql
  profiles:
    15: [server]
    16: [server]
...
---
document: modulemd-defaults
version: 1
data:
  module: maven
  profiles:
    3.8: [common]
...
---
data:
  api:
    rpms:
    - ruby
    - ruby-bundled-gems
    - ruby-default-gems
    - ruby-devel
    - ruby-libs
    - rubygem-bigdecimal
    - rubygem-bundler
    - rubygem-io-console
    - rubygem-irb
    - rubygem-json
    - rubygem-minitest
    - rubygem-mysql2
    - rubygem-pg
    - rubygem-power_assert
    - rubygem-psych
    - rubygem-rake
    - rubygem-rbs
    - rubygem-rdoc
    - rubygem-rexml
    - rubygem-rss
    - rubygem-test-unit
    - rubygem-typeprof
    - rubygems
    - rubygems-devel
  arch: i686
  artifacts:
    rpms:
    - ruby-libs-debuginfo-0:3.1.2-141.module+el9.1.0+15737+76195479.i686
    - ruby-libs-0:3.1.2-141.module+el9.1.0+15737+76195479.i686
    - ruby-debugsource-0:3.1.2-141.module+el9.1.0+15737+76195479.i686
    - ruby-doc-0:3.1.2-141.module+el9.1.0+15737+76195479.noarch
    - rubygem-rbs-0:2.1.0-141.module+el9.1.0+15737+76195479.i686
    - ruby-devel-0:3.1.2-141.module+el9.1.0+15737+76195479.i686
    - rubygem-rdoc-0:6.4.0-141.module+el9.1.0+15737+76195479.noarch
    - rubygem-bundler-0:2.3.7-141.module+el9.1.0+15737+76195479.noarch
    - rubygems-0:3.3.7-141.module+el9.1.0+15737+76195479.noarch
    - rubygem-rss-0:0.2.9-141.module+el9.1.0+15737+76195479.noarch
    - ruby-bundled-gems-0:3.1.2-141.module+el9.1.0+15737+76195479.i686
    - rubygem-bigdecimal-debuginfo-0:3.1.1-141.module+el9.1.0+15737+76195479.i686
    - rubygem-rexml-0:3.2.5-141.module+el9.1.0+15737+76195479.noarch
    - rubygem-test-unit-0:3.5.3-141.module+el9.1.0+15737+76195479.noarch
    - rubygem-typeprof-0:0.21.2-141.module+el9.1.0+15737+76195479.noarch
    - rubygem-minitest-0:5.15.0-141.module+el9.1.0+15737+76195479.noarch
    - rubygem-rbs-debuginfo-0:2.1.0-141.module+el9.1.0+15737+76195479.i686
    - rubygem-rake-0:13.0.6-141.module+el9.1.0+15737+76195479.noarch
    - rubygem-json-debuginfo-0:2.6.1-141.module+el9.1.0+15737+76195479.i686
    - rubygem-irb-0:1.4.1-141.module+el9.1.0+15737+76195479.noarch
    - ruby-debuginfo-0:3.1.2-141.module+el9.1.0+15737+76195479.i686
    - rubygem-bigdecimal-0:3.1.1-141.module+el9.1.0+15737+76195479.i686
    - rubygem-psych-0:4.0.3-141.module+el9.1.0+15737+76195479.i686
    - rubygem-json-0:2.6.1-141.module+el9.1.0+15737+76195479.i686
    - rubygem-psych-debuginfo-0:4.0.3-141.module+el9.1.0+15737+76195479.i686
    - ruby-0:3.1.2-141.module+el9.1.0+15737+76195479.i686
    - rubygem-io-console-debuginfo-0:0.5.11-141.module+el9.1.0+15737+76195479.i686
    - ruby-default-gems-0:3.1.2-141.module+el9.1.0+15737+76195479.noarch
    - ruby-bundled-gems-debuginfo-0:3.1.2-141.module+el9.1.0+15737+76195479.i686
    - rubygem-io-console-0:0.5.11-141.module+el9.1.0+15737+76195479.i686
    - rubygem-power_assert-0:2.0.1-141.module+el9.1.0+15737+76195479.noarch
    - rubygems-devel-0:3.3.7-141.module+el9.1.0+15737+76195479.noarch
  components:
    rpms:
      ruby:
        arches:
        - aarch64
        - i686
        - ppc64le
        - s390x
        - x86_64
        buildorder: '101'
        multilib:
        - x86_64
        rationale: An interpreter of object-oriented scripting language
        ref: stream-ruby-3.1-rhel-9.1.0
      rubygem-mysql2:
        arches:
        - aarch64
        - i686
        - ppc64le
        - s390x
        - x86_64
        buildorder: '102'
        rationale: A simple, fast Mysql library for Ruby, binding to libmysql
        ref: stream-ruby-3.1-rhel-9.1.0
      rubygem-pg:
        arches:
        - aarch64
        - i686
        - ppc64le
        - s390x
        - x86_64
        buildorder: '102'
        rationale: A Ruby interface to the PostgreSQL RDBMS
        ref: stream-ruby-3.1-rhel-9.1.0
  context: '9'
  dependencies:
  - buildrequires:
      platform:
      - el9.1.0
    requires:
      platform:
      - el9
  description: Ruby is the interpreted scripting language for quick and easy object-oriented
    programming.  It has many features to process text files and to do system management
    tasks (as in Perl).  It is simple, straight-forward, and extensible.
  license:
    content:
    - (BSD or Ruby) and PostgreSQL
    - (Ruby or BSD) and (Ruby or BSD or Python) and (Ruby or BSD or LGPLv2+)
    - (Ruby or BSD) and Public Domain and MIT and CC0 and zlib and UCD
    - (Ruby or GPLv2) and UCD
    - BSD
    - GPLv2 and Ruby and MIT and OFL
    - MIT
    - Ruby or BSD
    - Ruby or MIT
    module:
    - MIT
  name: ruby
  profiles:
    common:
      rpms:
      - ruby
  references:
    community: http://ruby-lang.org/
    documentation: https://www.ruby-lang.org/en/documentation/
    tracker: https://bugs.ruby-lang.org/
  stream: '3.1'
  summary: An interpreter of object-oriented scripting language
  version: '9010020220623124214'
document: modulemd
version: 2
...
---
data:
  api:
    rpms:
    - ruby
    - ruby-bundled-gems
    - ruby-default-gems
    - ruby-devel
    - ruby-libs
    - rubygem-bigdecimal
    - rubygem-bundler
    - rubygem-io-console
    - rubygem-irb
    - rubygem-json
    - rubygem-minitest
    - rubygem-mysql2
    - rubygem-pg
    - rubygem-power_assert
    - rubygem-psych
    - rubygem-rake
    - rubygem-rbs
    - rubygem-rdoc
    - rubygem-rexml
    - rubygem-rss
    - rubygem-test-unit
    - rubygem-typeprof
    - rubygems
    - rubygems-devel
  arch: i686
  artifacts:
    rpms:
    - ruby-0:3.1.4-143.module+el9.3.0+21558+96b51efd.i686
    - ruby-bundled-gems-0:3.1.4-143.module+el9.3.0+21558+96b51efd.i686
    - ruby-bundled-gems-debuginfo-0:3.1.4-143.module+el9.3.0+21558+96b51efd.i686
    - ruby-debuginfo-0:3.1.4-143.module+el9.3.0+21558+96b51efd.i686
    - ruby-debugsource-0:3.1.4-143.module+el9.3.0+21558+96b51efd.i686
    - ruby-default-gems-0:3.1.4-143.module+el9.3.0+21558+96b51efd.noarch
    - ruby-devel-0:3.1.4-143.module+el9.3.0+21558+96b51efd.i686
    - ruby-doc-0:3.1.4-143.module+el9.3.0+21558+96b51efd.noarch
    - ruby-libs-0:3.1.4-143.module+el9.3.0+21558+96b51efd.i686
    - ruby-libs-debuginfo-0:3.1.4-143.module+el9.3.0+21558+96b51efd.i686
    - rubygem-bigdecimal-0:3.1.1-143.module+el9.3.0+21558+96b51efd.i686
    - rubygem-bigdecimal-debuginfo-0:3.1.1-143.module+el9.3.0+21558+96b51efd.i686
    - rubygem-bundler-0:2.3.26-143.module+el9.3.0+21558+96b51efd.noarch
    - rubygem-io-console-0:0.5.11-143.module+el9.3.0+21558+96b51efd.i686
    - rubygem-io-console-debuginfo-0:0.5.11-143.module+el9.3.0+21558+96b51efd.i686
    - rubygem-irb-0:1.4.1-143.module+el9.3.0+21558+96b51efd.noarch
    - rubygem-json-0:2.6.1-143.module+el9.3.0+21558+96b51efd.i686
    - rubygem-json-debuginfo-0:2.6.1-143.module+el9.3.0+21558+96b51efd.i686
    - rubygem-minitest-0:5.15.0-143.module+el9.3.0+21558+96b51efd.noarch
    - rubygem-mysql2-doc-0:0.5.4-1.module+el9.1.0+15737+76195479.noarch
    - rubygem-pg-doc-0:1.3.5-1.module+el9.1.0+15737+76195479.noarch
    - rubygem-power_assert-0:2.0.1-143.module+el9.3.0+21558+96b51efd.noarch
    - rubygem-psych-0:4.0.4-143.module+el9.3.0+21558+96b51efd.i686
    - rubygem-psych-debuginfo-0:4.0.4-143.module+el9.3.0+21558+96b51efd.i686
    - rubygem-rake-0:13.0.6-143.module+el9.3.0+21558+96b51efd.noarch
    - rubygem-rbs-0:2.7.0-143.module+el9.3.0+21558+96b51efd.i686
    - rubygem-rbs-debuginfo-0:2.7.0-143.module+el9.3.0+21558+96b51efd.i686
    - rubygem-rdoc-0:6.4.0-143.module+el9.3.0+21558+96b51efd.noarch
    - rubygem-rexml-0:3.2.5-143.module+el9.3.0+21558+96b51efd.noarch
    - rubygem-rss-0:0.2.9-143.module+el9.3.0+21558+96b51efd.noarch
    - rubygem-test-unit-0:3.5.3-143.module+el9.3.0+21558+96b51efd.noarch
    - rubygem-typeprof-0:0.21.3-143.module+el9.3.0+21558+96b51efd.noarch
    - rubygems-0:3.3.26-143.module+el9.3.0+21558+96b51efd.noarch
    - rubygems-devel-0:3.3.26-143.module+el9.3.0+21558+96b51efd.noarch
  components:
    rpms:
      ruby:
        arches:
        - aarch64
        - i686
        - ppc64le
        - s390x
        - x86_64
        buildorder: '101'
        multilib:
        - x86_64
        rationale: An interpreter of object-oriented scripting language
        ref: stream-ruby-3.1-rhel-9.3.0
      rubygem-mysql2:
        arches:
        - aarch64
        - i686
        - ppc64le
        - s390x
        - x86_64
        buildorder: '102'
        rationale: A simple, fast Mysql library for Ruby, binding to libmysql
        ref: stream-ruby-3.1-rhel-9.3.0
      rubygem-pg:
        arches:
        - aarch64
        - i686
        - ppc64le
        - s390x
        - x86_64
        buildorder: '102'
        rationale: A Ruby interface to the PostgreSQL RDBMS
        ref: stream-ruby-3.1-rhel-9.3.0
  context: '9'
  dependencies:
  - buildrequires:
      platform:
      - el9.3.0.z
    requires:
      platform:
      - el9
  description: Ruby is the interpreted scripting language for quick and easy object-oriented
    programming.  It has many features to process text files and to do system management
    tasks (as in Perl).  It is simple, straight-forward, and extensible.
  license:
    content:
    - (BSD or Ruby) and PostgreSQL
    - (Ruby or BSD) and (Ruby or BSD or Python) and (Ruby or BSD or LGPLv2+)
    - (Ruby or BSD) and Public Domain and MIT and CC0 and zlib and UCD
    - (Ruby or GPLv2) and UCD
    - BSD
    - GPLv2 and Ruby and MIT and OFL
    - MIT
    - Ruby or BSD
    - Ruby or MIT
    module:
    - MIT
  name: ruby
  profiles:
    common:
      rpms:
      - ruby
  references:
    community: http://ruby-lang.org/
    documentation: https://www.ruby-lang.org/en/documentation/
    tracker: https://bugs.ruby-lang.org/
  stream: '3.1'
  summary: An interpreter of object-oriented scripting language
  version: '9030020240320163942'
document: modulemd
version: 2
...
---
data:
  api:
    rpms:
    - ruby
    - ruby-bundled-gems
    - ruby-default-gems
    - ruby-devel
    - ruby-libs
    - rubygem-bigdecimal
    - rubygem-bundler
    - rubygem-io-console
    - rubygem-irb
    - rubygem-json
    - rubygem-minitest
    - rubygem-mysql2
    - rubygem-pg
    - rubygem-power_assert
    - rubygem-psych
    - rubygem-racc
    - rubygem-rake
    - rubygem-rbs
    - rubygem-rdoc
    - rubygem-rexml
    - rubygem-rss
    - rubygem-test-unit
    - rubygem-typeprof
    - rubygems
    - rubygems-devel
  arch: i686
  artifacts:
    rpms:
    - rubygem-bigdecimal-debuginfo-0:3.1.5-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-mysql2-debuginfo-0:0.5.5-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-rdoc-0:6.6.2-1.module+el9.4.0+21222+faeeed2f.noarch
    - rubygem-rss-0:0.3.0-1.module+el9.4.0+21222+faeeed2f.noarch
    - rubygem-test-unit-0:3.6.1-1.module+el9.4.0+21222+faeeed2f.noarch
    - rubygem-pg-doc-0:1.5.4-1.module+el9.4.0+21222+faeeed2f.noarch
    - ruby-default-gems-0:3.3.0-1.module+el9.4.0+21222+faeeed2f.noarch
    - rpm-local-generator-support-0:1-1.module+el9.4.0+21222+faeeed2f.noarch
    - rubygem-rbs-0:3.4.0-1.module+el9.4.0+21222+faeeed2f.i686
    - ruby-bundled-gems-0:3.3.0-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-irb-0:1.11.0-1.module+el9.4.0+21222+faeeed2f.noarch
    - rubygem-pg-debugsource-0:1.5.4-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-rake-0:13.1.0-1.module+el9.4.0+21222+faeeed2f.noarch
    - rubygems-devel-0:3.5.3-1.module+el9.4.0+21222+faeeed2f.noarch
    - ruby-devel-0:3.3.0-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-psych-debuginfo-0:5.1.2-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-typeprof-0:0.21.9-1.module+el9.4.0+21222+faeeed2f.noarch
    - rubygem-rbs-debuginfo-0:3.4.0-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-io-console-debuginfo-0:0.7.1-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-psych-0:5.1.2-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-minitest-0:5.20.0-1.module+el9.4.0+21222+faeeed2f.noarch
    - rubygem-bigdecimal-0:3.1.5-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-power_assert-0:2.0.3-1.module+el9.4.0+21222+faeeed2f.noarch
    - ruby-debugsource-0:3.3.0-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-json-0:2.7.1-1.module+el9.4.0+21222+faeeed2f.i686
    - ruby-libs-0:3.3.0-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-io-console-0:0.7.1-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-racc-debuginfo-0:1.7.3-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-mysql2-doc-0:0.5.5-1.module+el9.4.0+21222+faeeed2f.noarch
    - rubygem-bundler-0:2.5.3-1.module+el9.4.0+21222+faeeed2f.noarch
    - ruby-0:3.3.0-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-mysql2-0:0.5.5-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-mysql2-debugsource-0:0.5.5-1.module+el9.4.0+21222+faeeed2f.i686
    - ruby-debuginfo-0:3.3.0-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygems-0:3.5.3-1.module+el9.4.0+21222+faeeed2f.noarch
    - rubygem-pg-debuginfo-0:1.5.4-1.module+el9.4.0+21222+faeeed2f.i686
    - ruby-doc-0:3.3.0-1.module+el9.4.0+21222+faeeed2f.noarch
    - rubygem-rexml-0:3.2.6-1.module+el9.4.0+21222+faeeed2f.noarch
    - ruby-libs-debuginfo-0:3.3.0-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-racc-0:1.7.3-1.module+el9.4.0+21222+faeeed2f.i686
    - ruby-bundled-gems-debuginfo-0:3.3.0-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-pg-0:1.5.4-1.module+el9.4.0+21222+faeeed2f.i686
    - rubygem-json-debuginfo-0:2.7.1-1.module+el9.4.0+21222+faeeed2f.i686
  components:
    rpms:
      rpm-local-generator-support:
        arches:
        - aarch64
        - i686
        - ppc64le
        - s390x
        - x86_64
        buildorder: '100'
        rationale: RPM local_generator support
        ref: c9s
      ruby:
        arches:
        - aarch64
        - i686
        - ppc64le
        - s390x
        - x86_64
        buildorder: '101'
        multilib:
        - x86_64
        rationale: An interpreter of object-oriented scripting language
        ref: stream-ruby-3.3-rhel-9.4.0
      rubygem-mysql2:
        arches:
        - aarch64
        - i686
        - ppc64le
        - s390x
        - x86_64
        buildorder: '102'
        rationale: A simple, fast Mysql library for Ruby, binding to libmysql
        ref: stream-ruby-3.3-rhel-9.4.0
      rubygem-pg:
        arches:
        - aarch64
        - i686
        - ppc64le
        - s390x
        - x86_64
        buildorder: '102'
        rationale: A Ruby interface to the PostgreSQL RDBMS
        ref: stream-ruby-3.3-rhel-9.4.0
  context: '9'
  dependencies:
  - buildrequires:
      platform:
      - el9.4.0
    requires:
      platform:
      - el9
  description: Ruby is the interpreted scripting language for quick and easy object-oriented
    programming.  It has many features to process text files and to do system management
    tasks (as in Perl).  It is simple, straight-forward, and extensible.
  filter:
    rpms:
    - rpm-local-generator-support
  license:
    content:
    - (BSD-2-Clause OR Ruby) AND PostgreSQL
    - (Ruby OR BSD-2-Clause) AND (Ruby OR BSD-2-Clause OR Python-2.0.1)
    - (Ruby OR BSD-2-Clause) AND BSD-3-Clause AND ISC AND Public Domain AND MIT and
      CC0 AND zlib AND Unicode-DFS-2015
    - (Ruby OR BSD-2-Clause) AND Unicode-DFS-2015
    - (Ruby OR MIT) AND BSD-2-Clause AND (BSD-2-Clause OR Ruby) AND MIT
    - BSD-2-Clause
    - GPL-2.0-only AND Ruby AND BSD-3-Clause AND CC-BY-2.5 AND OFL-1.1-RFN
    - MIT
    - MIT AND (Ruby OR BSD-2-Clause)
    - Ruby OR BSD-2-Clause
    module:
    - MIT
  name: ruby
  profiles:
    common:
      rpms:
      - ruby
  references:
    community: http://ruby-lang.org/
    documentation: https://www.ruby-lang.org/en/documentation/
    tracker: https://bugs.ruby-lang.org/
  stream: '3.3'
  summary: An interpreter of object-oriented scripting language
  version: '9040020240126130018'
document: modulemd
version: 2
...
